summaryrefslogtreecommitdiff
path: root/eclass
diff options
context:
space:
mode:
authorMichael Palimaka <kensington@gentoo.org>2017-10-12 22:26:44 +1100
committerMichael Palimaka <kensington@gentoo.org>2017-10-12 22:27:05 +1100
commit988e7dc00c80b121d5ab46115312934492503344 (patch)
treebf8b847e742d98bceaa40d130d50bb60e9a8b128 /eclass
parentdev-libs/double-conversion: stable 2.0.1 for sparc, bug #613162 (thanks to Ro... (diff)
downloadgentoo-988e7dc00c80b121d5ab46115312934492503344.tar.gz
gentoo-988e7dc00c80b121d5ab46115312934492503344.tar.bz2
gentoo-988e7dc00c80b121d5ab46115312934492503344.zip
qt5-build.eclass: fix test dependency logic
Thanks to Arfrever for pointing this out.
Diffstat (limited to 'eclass')
-rw-r--r--eclass/qt5-build.eclass2
1 files changed, 1 insertions, 1 deletions
diff --git a/eclass/qt5-build.eclass b/eclass/qt5-build.eclass
index 76dfc9b425ae..11847bcf0139 100644
--- a/eclass/qt5-build.eclass
+++ b/eclass/qt5-build.eclass
@@ -114,7 +114,7 @@ DEPEND="
dev-lang/perl
virtual/pkgconfig
"
-if [[ ${PN} != qttest && (${PN} != qtwebkit && ${QT5_MINOR_VERSION} -ge 9) ]]; then
+if [[ (${PN} != qttest && ${PN} != qtwebkit) || (${PN} == qtwebkit && ${QT5_MINOR_VERSION} -lt 9) ]]; then
DEPEND+=" test? ( ~dev-qt/qttest-${PV} )"
fi
RDEPEND="